import { CAReseau } from './careseau';
import { Contrat2 } from './contrat';
import { ClientReseau } from './client-reseau';
import { ContactClient } from './contact-client';
import { ListeValeur } from './liste-valeur';
import { Operateur } from "./operateur";
import { CA } from "./ca";
import { CompteCredit } from "./compte-credit";
import { Region } from "./region";
import { Pays } from "./pays";
import { Compte } from "./compte";
import { TableCalculValeur } from './TableCalculValeur';
export class Reseau {
    id : number;
    nom : string;
    typeSociete: ListeValeur;
    ninea: string;
    registreCommerce: string;
    adresse : string;
    email : string;
    telephone : string;
    siteweb: string;
    tauxfraisTransac: any;
    forfaitTransac: any;
    tableCoeff: TableCalculValeur;
    tableMontant: TableCalculValeur;
    logo: string;
    adresse2: string;
    telephone2: string;
    fax: string;
    codepostal: string;
    pays :Pays;
    ville :Region;
    theme: ListeValeur;
    actif: ListeValeur;
    contacts: ContactClient[];
    compteutilisateurs: Compte[];
    cas: CAReseau[];
    clients: ClientReseau;
    contrats: Contrat2[];
    compteCredits: CompteCredit[];
    operateur: Operateur;
    courtage: Boolean;
}
